<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/ref.outcontrol.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'pt_BR',
  ),
  'this' => 
  array (
    0 => 'function.ob-list-handlers.php',
    1 => 'ob_list_handlers',
  ),
  'up' => 
  array (
    0 => 'ref.outcontrol.php',
    1 => 'Fun&ccedil;&otilde;es para Control de Sa&iacute;da',
  ),
  'prev' => 
  array (
    0 => 'function.ob-implicit-flush.php',
    1 => 'ob_implicit_flush',
  ),
  'next' => 
  array (
    0 => 'function.ob-start.php',
    1 => 'ob_start',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'pt_BR',
    'path' => 'reference/outcontrol/functions/ob-list-handlers.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="function.ob-list-handlers" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">ob_list_handlers</h1>
  <p class="verinfo">(PHP 4 &gt;= 4.3.0, PHP 5, PHP 7, PHP 8)</p><p class="refpurpose"><span class="refname">ob_list_handlers</span> &mdash; <span class="dc-title">Lista todos os manipuladores de saída em uso</span></p>

 </div>

 <div class="refsect1 description" id="refsect1-function.ob-list-handlers-description">
  <h3 class="title">Descrição</h3>
  <div class="methodsynopsis dc-description">
   <span class="methodname"><strong>ob_list_handlers</strong></span>(): <span class="type"><a href="language.types.array.php" class="type array">array</a></span></div>

  <p class="para rdfs-comment">
   Lista todos os manipuladores de saída em uso.
  </p>
 </div>


 <div class="refsect1 parameters" id="refsect1-function.ob-list-handlers-parameters">
  <h3 class="title">Parâmetros</h3>
  <p class="para">Esta função não possui parâmetros.</p>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-function.ob-list-handlers-returnvalues">
  <h3 class="title">Valor Retornado</h3>
  <p class="para">
   Isso retornará um array com os manipuladores de saída em uso (se houver).
  </p>
  <p class="para">
   Se <a href="outcontrol.configuration.php#ini.output-buffering" class="link">output_buffering</a> estiver ativado
   e nenhum <a href="outcontrol.configuration.php#ini.output-handler" class="link">output_handler</a> estiver definido,
   ou nenhuma função de retorno ou <strong><code><a href="reserved.constants.php#constant.null">null</a></code></strong> foi passada para <span class="function"><a href="function.ob-start.php" class="function">ob_start()</a></span>,
   <code class="literal">&quot;default output handler&quot;</code> é retornado.
   Ativar <a href="outcontrol.configuration.php#ini.output-buffering" class="link">output_buffering</a>
   e definir um <a href="outcontrol.configuration.php#ini.output-handler" class="link">output_handler</a>
   é equivalente a passar
   uma <a href="functions.internal.php" class="link">função interna (integrada)</a>
   para <span class="function"><a href="function.ob-start.php" class="function">ob_start()</a></span>.
  </p>
  <p class="para">
   Se um <span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> foi passado para <span class="function"><a href="function.ob-start.php" class="function">ob_start()</a></span>,
   o <a href="language.namespaces.basics.php" class="link">nome totalmente qualificado</a>
   do <span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> é retornado.
   Se o <span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> for um objeto que implementa
   <a href="language.oop5.magic.php#language.oop5.magic.invoke" class="link">__invoke()</a>,
   o <a href="language.namespaces.basics.php" class="link">nome totalmente qualificado</a>
   do método <a href="language.oop5.magic.php#language.oop5.magic.invoke" class="link">__invoke()</a>
   do objeto é retornado.
   Se o <span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> for um <span class="classname"><a href="class.closure.php" class="classname">Closure</a></span>,
   <code class="literal">&quot;Closure::__invoke&quot;</code> será retornado.
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-function.ob-list-handlers-examples">
  <h3 class="title">Exemplos</h3>
  <p class="para">
   <div class="example" id="example-575">
    <p><strong>Exemplo #1 Exemplo de <span class="function"><strong>ob_list_handlers()</strong></span></strong></p>
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br /></span><span style="color: #FF8000">// usando output_buffering=On, nenhum manipulador de saída definido<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">ob_list_handlers</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">ob_end_flush</span><span style="color: #007700">();<br /><br /></span><span style="color: #FF8000">// nenhuma chamada de retorno ou null<br /></span><span style="color: #0000BB">ob_start</span><span style="color: #007700">();<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">ob_list_handlers</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">ob_end_flush</span><span style="color: #007700">();<br /><br /></span><span style="color: #FF8000">// função anônima<br /></span><span style="color: #0000BB">ob_start</span><span style="color: #007700">(function(</span><span style="color: #0000BB">$string</span><span style="color: #007700">) { return </span><span style="color: #0000BB">$string</span><span style="color: #007700">; });<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">ob_list_handlers</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">ob_end_flush</span><span style="color: #007700">();<br /><br /></span><span style="color: #FF8000">// função seta<br /></span><span style="color: #0000BB">ob_start</span><span style="color: #007700">(fn(</span><span style="color: #0000BB">$string</span><span style="color: #007700">) =&gt; </span><span style="color: #0000BB">$string</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">ob_list_handlers</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">ob_end_flush</span><span style="color: #007700">();<br /><br /></span><span style="color: #FF8000">// chamável de primeira classe<br /></span><span style="color: #0000BB">$firstClassCallable </span><span style="color: #007700">= </span><span style="color: #0000BB">userDefinedFunction</span><span style="color: #007700">(...);<br /><br /></span><span style="color: #0000BB">ob_start</span><span style="color: #007700">([</span><span style="color: #0000BB">$firstClassCallable</span><span style="color: #007700">, </span><span style="color: #DD0000">'__invoke'</span><span style="color: #007700">]);<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">ob_list_handlers</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">ob_end_flush</span><span style="color: #007700">();<br /><br /></span><span style="color: #FF8000">// função interna (integrada)<br /></span><span style="color: #0000BB">ob_start</span><span style="color: #007700">(</span><span style="color: #DD0000">'print_r'</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">ob_list_handlers</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">ob_end_flush</span><span style="color: #007700">();<br /><br /></span><span style="color: #FF8000">// função definida pelo usuário<br /></span><span style="color: #007700">function </span><span style="color: #0000BB">userDefinedFunction</span><span style="color: #007700">(</span><span style="color: #0000BB">$string</span><span style="color: #007700">, </span><span style="color: #0000BB">$flags</span><span style="color: #007700">) { return </span><span style="color: #0000BB">$string</span><span style="color: #007700">; };<br /><br /></span><span style="color: #0000BB">ob_start</span><span style="color: #007700">(</span><span style="color: #DD0000">'userDefinedFunction'</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">ob_list_handlers</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">ob_end_flush</span><span style="color: #007700">();<br /><br />class </span><span style="color: #0000BB">MyClass </span><span style="color: #007700">{<br />    public static function </span><span style="color: #0000BB">staticHandle</span><span style="color: #007700">(</span><span style="color: #0000BB">$string</span><span style="color: #007700">) {<br />        return </span><span style="color: #0000BB">$string</span><span style="color: #007700">;<br />    }<br /><br />    public static function </span><span style="color: #0000BB">handle</span><span style="color: #007700">(</span><span style="color: #0000BB">$string</span><span style="color: #007700">) {<br />        return </span><span style="color: #0000BB">$string</span><span style="color: #007700">;<br />    }<br /><br />    public function </span><span style="color: #0000BB">__invoke</span><span style="color: #007700">(</span><span style="color: #0000BB">$string</span><span style="color: #007700">) {<br />        return </span><span style="color: #0000BB">$string</span><span style="color: #007700">;<br />    }<br />}<br /><br /></span><span style="color: #FF8000">// classe e método estático<br /></span><span style="color: #0000BB">ob_start</span><span style="color: #007700">([</span><span style="color: #DD0000">'MyClass'</span><span style="color: #007700">,</span><span style="color: #DD0000">'staticHandle'</span><span style="color: #007700">]);<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">ob_list_handlers</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">ob_end_flush</span><span style="color: #007700">();<br /><br /></span><span style="color: #FF8000">// objeto e método não estático<br /></span><span style="color: #0000BB">ob_start</span><span style="color: #007700">([new </span><span style="color: #0000BB">MyClass</span><span style="color: #007700">,</span><span style="color: #DD0000">'handle'</span><span style="color: #007700">]);<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">ob_list_handlers</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">ob_end_flush</span><span style="color: #007700">();<br /><br /></span><span style="color: #FF8000">// objeto invocável<br /></span><span style="color: #0000BB">ob_start</span><span style="color: #007700">(new </span><span style="color: #0000BB">MyClass</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">ob_list_handlers</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">ob_end_flush</span><span style="color: #007700">();<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
    </div>

    <div class="example-contents"><p>O exemplo acima produzirá:</p></div>
    <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">array(1) {
  [0]=&gt;
  string(22) &quot;default output handler&quot;
}
array(1) {
  [0]=&gt;
  string(22) &quot;default output handler&quot;
}
array(1) {
  [0]=&gt;
  string(7) &quot;print_r&quot;
}
array(1) {
  [0]=&gt;
  string(19) &quot;userDefinedFunction&quot;
}
array(1) {
  [0]=&gt;
  string(17) &quot;Closure::__invoke&quot;
}
array(1) {
  [0]=&gt;
  string(17) &quot;Closure::__invoke&quot;
}
array(1) {
  [0]=&gt;
  string(17) &quot;Closure::__invoke&quot;
}
array(1) {
  [0]=&gt;
  string(21) &quot;MyClass::staticHandle&quot;
}
array(1) {
  [0]=&gt;
  string(15) &quot;MyClass::handle&quot;
}
array(1) {
  [0]=&gt;
  string(17) &quot;MyClass::__invoke&quot;
}</pre>
</div>
    </div>
   </div>
  </p>
 </div>


 <div class="refsect1 seealso" id="refsect1-function.ob-list-handlers-seealso">
  <h3 class="title">Veja Também</h3>
  <p class="para">
   <ul class="simplelist">
    <li><span class="function"><a href="function.ob-end-clean.php" class="function" rel="rdfs-seeAlso">ob_end_clean()</a> - Limpa (apaga) o conte&uacute;do do buffer de sa&iacute;da ativo e desliga-o</span></li>
    <li><span class="function"><a href="function.ob-end-flush.php" class="function" rel="rdfs-seeAlso">ob_end_flush()</a> - Descarrega (envia) o valor de retorno do manipulador de sa&iacute;da ativo
   e desliga o buffer de sa&iacute;da ativo</span></li>
    <li><span class="function"><a href="function.ob-get-flush.php" class="function" rel="rdfs-seeAlso">ob_get_flush()</a> - Descarrega (envia) o valor de retorno do manipulador de sa&iacute;da ativo,
   retorna o conte&uacute;do do buffer de sa&iacute;da ativo e desliga-o</span></li>
    <li><span class="function"><a href="function.ob-start.php" class="function" rel="rdfs-seeAlso">ob_start()</a> - Ativa o buffer de sa&iacute;da</span></li>
   </ul>
  </p>
 </div>


</div><?php manual_footer($setup); ?>